function [root,dir_ch] = rootpath()
%
% function [root, dir_ch] = rootpath;
%
% Returns root pathname and directory character ('/' = UNIX, ':' = Mac, '\' = Windows)
%
pathstr = path;
ncolons = sum(pathstr == ':');
nslashes = sum(pathstr == '/');
nbackslashes = sum(pathstr == '\');
[maxnum,maxi] = max([ncolons nslashes nbackslashes]);
if (maxi == 1)
	dir_ch = ':';
elseif (maxi == 2)
	dir_ch = '/';
	root = '/ti/u/billg';
	return;
else
   dir_ch = '\';
   root = 'C:\work';
   return;
end
% read through any leading dirch's
for start = 1 : length(pathstr)
	if ~(pathstr(start) == dir_ch)
		break;
	end
end
% read until dir_ch found
root = 0;
k = 1;
for j = start : length(pathstr)
	if (pathstr(j) == dir_ch)
		return;
	end
	root(k) = pathstr(j);
	k = k + 1;
end
