function buf = h_getl(fp)
% function buf = h_getl(fp)
%
% Read a line of an HRTF header file, ignoring comment lines that
% begin with a '%' character. Trailing newline characters are not
% returned.
%
while 1
	buf = fgetl(fp);
	if ~isstr(buf)
		return;
	end
	if ~(buf(1) == '%')
		return;
	end
end
