function naz = h_naz(n_azim, sym_flag)
% naz = h_naz(n_azim, sym_flag)
%
% Return the number of azimuths actually used when symmetry is
% accounted for. This is the number of azimuths actually stored
% in the database.
%
if sym_flag
	naz = 1 + ceil((n_azim - 1) / 2);
else
	naz = n_azim;
end
